var mapper = mapperFactory.createMapperMult(["GlbUsuAgenda", "EstComprador"]);
try{
    var agendas = [];
    var comprador = mapper.selectList('EstComprador.listarEstComprador', {'cdEmp': message.get('obj').get('cdEmp'), 'cdUsuComprador': message.get('obj').get('cdUsu')});
    if(comprador.size() > 0){
        message.get('obj').put('execTodasAgendas', comprador.get(0).get('execTodasAgendas'));
        message.get('obj').put('cdComprador', comprador.get(0).get('cdComprador'));
    }else{
        message.get('obj').put('execTodasAgendas', 0);
        message.get('obj').put('cdComprador', 0);
    }

     agendas = mapper.selectList('GlbUsuAgenda.filtrarAgendas', message.get('obj'));

    agendas;
}catch(err){
    if(err.code){
        throw JSON.stringify(err);
    }else{
        throw err;
    }
}